- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#body.BatchUpdateCompaniesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#body.aspect)
- [UpdateCompanyRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#UpdateCompanyRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#UpdateCompanyRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#try-it)

Batch updates `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/companies:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateCompanyRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#UpdateCompanyRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies/batchUpdate#UpdateCompanyRequest`)`` Required. The `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `companies.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "companies": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company`) } ] } ``` |

| Fields ||
|---|---|
| `companies[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company`)`` The `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateCompanyRequest

Request object for `companies.patch` method.

| JSON representation |
|---|
| ``` { "company": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `company` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company`)`` Required. The `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company` to update. The `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company`'s `name` is used to identify the `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.companies#Company` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |